<?php
/* --------------------------------------------------------------
   dependent.inc.php 2018-11-23
   Gambio GmbH
   http://www.gambio.de
   Copyright (c) 2018 Gambio GmbH
   Released under the GNU General Public License (Version 2)
   [http://www.gnu.org/licenses/gpl-2.0.html]
   --------------------------------------------------------------
*/

/** @var \DatabaseModel $this */

if(!$this->columnExists('categories', 'categories_ogimage'))
{
	$query = 'ALTER TABLE `categories` ADD `categories_ogimage` VARCHAR(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL AFTER `categories_image`';
	$t_success &= $this->query($query, true);
}

if(!$this->columnExists('static_seo_urls', 'opengraph_image'))
{
	$query = 'ALTER TABLE `static_seo_urls` ADD `opengraph_image` VARCHAR(64) NULL DEFAULT NULL AFTER `robots_disallow_entry`';
	$t_success &= $this->query($query, true);
}

if(!$this->columnExists('content_manager', 'opengraph_image'))
{
	$query = 'ALTER TABLE `content_manager` ADD `opengraph_image` VARCHAR(64) NULL DEFAULT NULL AFTER `contents_meta_keywords`';
	$t_success &= $this->query($query, true);
}

if(!$this->columnExists('content_manager_history', 'opengraph_image'))
{
	$query = 'ALTER TABLE `content_manager_history` ADD `opengraph_image` VARCHAR(64) NULL DEFAULT NULL AFTER `contents_meta_keywords`';
	$t_success &= $this->query($query, true);
}

if(!$this->columnExists('categories_description', 'categories_description_bottom'))
{
	$query = 'ALTER TABLE `categories_description` ADD `categories_description_bottom` TEXT NOT NULL AFTER `categories_description`';
	$t_success &= $this->query($query, true);
}

if ($this->getAdminAccessGroupIdByName('XML API') === false) {
    $groupId = $this->addAdminAccessGroup([
        1 => 'XML API',
        2 => 'XML API'
    ], [
        1 => 'Allows the general usage of the XML API. This permission may be necessary for some inventory management system.',
        2 => 'Erlaubt die generelle Nutzung der XML API. Dies wird z.B. zur Nutzung einiger Warenwirtschaftssysteme benötigt.'
    ], 1);
    
    $t_success &= ($groupId !== false);
    $t_success &= $this->addAdminAccessGroupItem($groupId, 'AJAX_HANDLER', ['XMLConnect']);
}
// Add ENABLE_LIVE_SEARCH configuration.
$check = $this->query('SELECT * FROM `gm_configuration` WHERE `gm_key` = "ENABLE_LIVE_SEARCH"', true);
if($check->num_rows < 1)
{
	$query = 'INSERT INTO `gm_configuration` SET `gm_key` = "ENABLE_LIVE_SEARCH", `gm_value` = "true"';
	$t_success &= $this->query($query) > 0;
}